List permissions

GET /permissions

List permissions matching some options (action, approved, scope, source, target). When specified, at least one of source ID and target ID properties must be related to the current user (its user ID or an app the user has access to). If not specified, the user ID will be used for all private permission requests (when "system" is not set as target type).

Query parameters

actionstring

The action property grant access to different endpoints.

"read""write"

Documentation

approvedboolean

The approved property determines whether a permission has been granted or not.

Documentation

scopestring

The scope property grant access to a specific set of data.

"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"

Documentation

sourceIdstring

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

sourceTypestring

The source type property provides additional context to the source ID.

"app""user"

Documentation

targetIdstring

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

targetTypestring

The target type property provides additional context to the target ID.

"app""system""user"

Documentation

Responses

    200OK

Content application/json

The response is an array of extended permissions.

Documentation

Extend the Permission object with sourceName and targetName

Documentation

Properties

idstring✻

The permission ID is a unique identifier for a permission.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

actionstring✻

The action property grant access to different endpoints.

"read""write"

Documentation

scopestring✻

The scope property grant access to a specific set of data.

"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"

Documentation

sourceIdstring✻

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

sourceName✻

sourceTypestring✻

The source type property provides additional context to the source ID.

"app""user"

Documentation

targetIdstring

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

targetName✻

targetTypestring✻

The target type property provides additional context to the target ID.

"app""system""user"

Documentation

approvedboolean

The approved property determines whether a permission has been granted or not.

Documentation

createdAtstring✻

format: date-time

Documentation

createdBystring✻

format: uuid

Documentation

updatedAtstring

format: date-time

Documentation

updatedBystring

format: uuid

Documentation

Security

Servers

    id.hedia.comhttps://id.hedia.com/api/v1